#!/bin/bash

# bf_brute1.sh
# Bruteforce Plaintext attack
# by Javantea aka Joel R. Voss
# Jan 29, 2006

# Usage: sh bf_brute1.sh file1.bf mypass000 2>bruteN.txt

if [ "$1" == "" ]; then
	echo "First arg is file to crack."
	exit
fi

# The second optional argument is the initial password. Otherwise it's 0000
if [ "$2" != "" ]; then
	password=$2
else
	password="0000"
fi

infile=$1

file=$infile.1

head -c 64 $infile > $file

while true; do
	# Check the output of decrypt for an alphanumeric filename.
	openssl enc -bf-cbc -d -in $file -k "$password" | check_tar
	# If it passed, then password might have been found.
	if [ $? == 0 ]; then
		echo "'$password' was found to be a possible password."
		echo "Try openssl enc -bf-cbc -d -in $infile -out $infile.dec | tar t"
		exit 0
	else
		#echo -n "."
		if [ "${password:6:1}" == "0" ]; then
			echo $password
		fi
	fi
	# A simple string increment utility from <space> to ~.
	# Does not increase the length of the line. also spaces are rarely used.
	# Should modify the code if you don't want to check passwords with spaces.
	password=`increment "$password"`
done

exit 1
