/*
 * check_tar
 * by Javantea aka Joel R. Voss
 * Jan 29, 2006
 * Check std input for tar-style printable+null data.
 */

#include <stdio.h>

int main(int argc, char **argv)
{
	// Grab up to 256 bytes.
	char data[256];
	int size = fread(data, 1, 256, stdin);
	int i;
	for(i = 0; i < size; i++)
	{
		// Ensure that all bytes are between 32 (<space>) 
		// and 127 (the one after tilde).
		if(data[i] != 0  && data[i] < 32) //|| data[i] > 127))
		{
			return 1;
		}
	}
	// Return 0 only if all characters read have passed.
	return 0;
}
